Listar los grupos de planes de acción de la empresa que hace la llamada
curl --request GET \
--url https://clientapi.woku.app/v1/action-plan-groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://clientapi.woku.app/v1/action-plan-groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://clientapi.woku.app/v1/action-plan-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"_id": "507f1f77bcf86cd799439031",
"companyId": "<string>",
"name": "<string>",
"description": "<string>",
"conditions": [
{
"trackerId": "507f1f77bcf86cd799439011",
"relationToPrevious": "AND",
"operator": "equals",
"value": "<string>"
}
],
"members": [
{
"userId": "507f1f77bcf86cd799439013",
"role": "admin"
}
],
"threshold": 300,
"enabled": true,
"counterSince": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]{
"statusCode": 403,
"message": "Authentication required",
"error": "Forbidden"
}Grupos de planes de acción
Listar los grupos de planes de acción de la empresa que hace la llamada
GET
/
v1
/
action-plan-groups
Listar los grupos de planes de acción de la empresa que hace la llamada
Autorizaciones
Clave de API de la empresa. Obtenla desde tu panel de Woku en Configuracion > API Keys. La misma clave usada para los endpoints v0.
Parámetros de consulta
Búsqueda de texto libre sobre name, description y los valores de las condiciones.
Maximum string length:
200Respuesta
Grupos de planes de acción
Ejemplo:
"507f1f77bcf86cd799439031"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Ejemplo:
300
Un grupo deshabilitado deja de contar feedback y de generar borradores, pero mantiene visibles su historial y estadisticas.
Fecha base del contador de negativos: solo el feedback creado despues de ella cuenta para threshold.